Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#8 SMC Tigerarray II (SMC9334BDT) : missing link beat

Chipset-specific
closed-fixed
Jeff Garzik
5
2001-03-07
2001-02-07
Arne Bernin
No

I have a Problem with the smc9334BDT Card (Dual Channel) with 2 DEC 21140 and one 21152 (PCI Bridge)

I load the driver (as module) and everything seems fine,
i put the dev up with ifconfig, but am not able to send
or receive (ifconfig increases error and carrier for every packet).

The same card works in the same machine with kernel 2.2.17 without any problem. just rebootet it with the new kernel.

My kernel logs (debug=6)

Feb 7 14:39:07 kankra kernel: Linux Tulip driver version 0.9.13a (January 20, 2001)
Feb 7 14:39:07 kankra kernel: eth0: Digital DS21140 Tulip rev 34 at 0x7000, 00:E0:29:3C:E0:1E, IRQ 10.
Feb 7 14:39:07 kankra kernel: eth0: EEPROM default media type Autosense.
Feb 7 14:39:07 kankra kernel: eth0: MII interface PHY 0, setup/reset sequences 1/1 long, capabilities 78 00.
Feb 7 14:39:07 kankra kernel: eth0: Index #0 - Media MII (#11) described by a 21140 MII PHY (1) block.
Feb 7 14:39:07 kankra kernel: eth0: MII transceiver #3 config 3100 status 7849 advertising 01e1.
Feb 7 14:39:07 kankra kernel: eth1: Digital DS21140 Tulip rev 34 at 0x7400, 00:E0:29:3C:E0:1F, IRQ 11.
Feb 7 14:39:07 kankra kernel: eth1: EEPROM default media type Autosense.
Feb 7 14:39:07 kankra kernel: eth1: MII interface PHY 0, setup/reset sequences 1/1 long, capabilities 78 00.
Feb 7 14:39:07 kankra kernel: eth1: Index #0 - Media MII (#11) described by a 21140 MII PHY (1) block.
Feb 7 14:39:07 kankra kernel: eth1: MII transceiver #3 config 3100 status 7849 advertising 01e1.
Feb 7 14:39:33 kankra kernel: Linux Tulip driver version 0.9.13a (January 20, 2001)
Feb 7 14:39:33 kankra kernel: eth0: Digital DS21140 Tulip rev 34 at 0x7000, 00:E0:29:3C:E0:1E, IRQ 10.
Feb 7 14:39:33 kankra kernel: eth0: EEPROM default media type Autosense.
Feb 7 14:39:33 kankra kernel: eth0: MII interface PHY 0, setup/reset sequences 1/1 long, capabilities 78 00.
Feb 7 14:39:33 kankra kernel: eth0: Index #0 - Media MII (#11) described by a 21140 MII PHY (1) block.
Feb 7 14:39:33 kankra kernel: eth0: MII transceiver #3 config 3100 status 7849 advertising 01e1.
Feb 7 14:39:33 kankra kernel: eth1: Digital DS21140 Tulip rev 34 at 0x7400, 00:E0:29:3C:E0:1F, IRQ 11.
Feb 7 14:39:33 kankra kernel: eth1: EEPROM default media type Autosense.
Feb 7 14:39:33 kankra kernel: eth1: MII interface PHY 0, setup/reset sequences 1/1 long, capabilities 78 00.
Feb 7 14:39:33 kankra kernel: eth1: Index #0 - Media MII (#11) described by a 21140 MII PHY (1) block.
Feb 7 14:39:33 kankra kernel: eth1: MII transceiver #3 config 3100 status 7849 advertising 01e1.
Feb 7 14:40:32 kankra kernel: eth0: MII status 7849, Link partner report 0000.
Feb 7 14:40:32 kankra kernel: eth0: No link beat on the MII interface, status 7849.
Feb 7 14:41:32 kankra kernel: eth0: MII status 7849, Link partner report 0000.
Feb 7 14:41:32 kankra kernel: eth0: No link beat on the MII interface, status 7849.

my /proc/pci (allo related to this card)

Bus 0, device 11, function 0:
PCI bridge: DEC DC21152 (rev 3).
Medium devsel. Fast back-to-back capable. Master Capable. Latency=32. Min Gnt=6.
Bus 1, device 0, function 0:
VGA compatible controller: Trident Unknown device (rev 93).
Vendor id=1023. Device id=8400.
Medium devsel. Fast back-to-back capable. IRQ 11. Master Capable. Latency=32.
Non-prefetchable 32 bit memory at 0xe5800000 [0xe5800000].
Non-prefetchable 32 bit memory at 0xe6000000 [0xe6000000].
Non-prefetchable 32 bit memory at 0xe5000000 [0xe5000000].
Bus 2, device 4, function 0:
Ethernet controller: DEC DC21140 (rev 34).
Medium devsel. Fast back-to-back capable. IRQ 10. Master Capable. Latency=32. Min Gnt=20.Max Lat=40.
I/O at 0x7000 [0x7001].
Non-prefetchable 32 bit memory at 0xea001000 [0xea001000].
Bus 2, device 5, function 0:
Ethernet controller: DEC DC21140 (rev 34).
Medium devsel. Fast back-to-back capable. IRQ 11. Master Capable. Latency=32. Min Gnt=20.Max Lat=40.
I/O at 0x7400 [0x7401].
Non-prefetchable 32 bit memory at 0xea000000 [0xea000000].

Discussion

  • Jeff Garzik
    Jeff Garzik
    2001-02-20

    • assigned_to: nobody --> jgarzik
    • milestone: 100100 --> Chipset-specific
    • labels: 100100 --> Media selection
     
  • Arne Bernin
    Arne Bernin
    2001-03-02

    Logged In: YES
    user_id=149335

    This bug seems to be fixed in Kernel 2.4.2ac5 or ac6,
    so hopefully it ist gone in 2.4.3

    it works at least for me

     
  • Jeff Garzik
    Jeff Garzik
    2001-03-07

    • status: open --> closed-fixed